
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_sitearea")]
    public class BaseSitearea
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        /// <summary>
        /// 站台id
        /// </summary>
        [Column("site_id")]
        public Guid? siteId { get; set; }

        /// <summary>
        /// 站台编码
        /// </summary>
        [Column("site_no")]
        public string siteNo { get; set; }

        /// <summary>
        /// 站台名称
        /// </summary>
        [Column("site_name")]
        public string siteName { get; set; }

        /// <summary>
        /// 区域id
        /// </summary>
        [Column("area_id")]
        public Guid? areaId { get; set; }

        /// <summary>
        /// 区域编码
        /// </summary>
        [Column("area_no")]
        public string areaNo { get; set; }

        /// <summary>
        /// 区域名称
        /// </summary>
        [Column("area_name")]
        public string areaName { get; set; }

        /// <summary>
        /// 路径去向值
        /// </summary>
        [Column("site_value")]
        public string siteValue { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

